OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.DrawBuffersBlend

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetARBDrawBuffersBlend :: MonadIO m => m Bool
- gl_ARB_draw_buffers_blend :: Bool
- glBlendEquationSeparateiARB :: MonadIO m => GLuint -> GLenum -> GLenum -> m ()
- glBlendEquationiARB :: MonadIO m => GLuint -> GLenum -> m ()
- glBlendFuncSeparateiARB :: MonadIO m => GLuint -> GLenum -> GLenum -> GLenum -> GLenum -> m ()
- glBlendFunciARB :: MonadIO m => GLuint -> GLenum -> GLenum -> m ()

# Extension Support

glGetARBDrawBuffersBlend :: MonadIO m => m Bool

Is the ARB_draw_buffers_blend extension supported?

gl_ARB_draw_buffers_blend :: Bool

Is the ARB_draw_buffers_blend extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBDrawBuffersBlend` in those cases instead.

# Functions

glBlendEquationSeparateiARB

Arguments

:: MonadIO m |
=> GLuint | `buf`.
-> GLenum | `modeRGB`.
-> GLenum | `modeAlpha`.
-> m () |

This command is an alias for `glBlendEquationSeparatei`.

glBlendEquationiARB

Arguments

:: MonadIO m |
=> GLuint | `buf`.
-> GLenum | `mode`.
-> m () |

This command is an alias for `glBlendEquationi`.

glBlendFuncSeparateiARB

Arguments

:: MonadIO m |
=> GLuint | `buf`.
-> GLenum | `srcRGB`.
-> GLenum | `dstRGB`.
-> GLenum | `srcAlpha`.
-> GLenum | `dstAlpha`.
-> m () |

This command is an alias for `glBlendFuncSeparatei`.

glBlendFunciARB

Arguments

:: MonadIO m |
=> GLuint | `buf`.
-> GLenum | `src`.
-> GLenum | `dst`.
-> m () |

This command is an alias for `glBlendFunci`.